<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns="http://docbook.org/ns/docbook" xmlns:db="http://docbook.org/ns/docbook">
  
  <xsl:import href="../../docbook-xsl/xhtml/chunk.xsl"/>
  <xsl:include href="common.xsl"/>
  
  <xsl:output indent="no"/>
  
  <xsl:template match="@* | node()">
    <xsl:copy>
      <xsl:apply-templates select="node()| @*"/>
    </xsl:copy>
  </xsl:template>
  
  
  <xsl:template match="db:chapter/db:title | db:section/db:title">
    <xsl:copy-of select="."/>
    <xsl:for-each select="parent::*[contains(@annotations, 'slide') or descendant::*[contains(@annotations, 'slide')]]">
        <para>
          <link xlink:href="__slide{@xml:id}.html">Related slides on offer</link>
        </para>
    </xsl:for-each>
    
  </xsl:template>
  
  <xsl:template match="db:figure[db:mediaobject/db:imageobject]/db:title">
    
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
    
    <xsl:if test="ends-with(parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref, '.fig')">
      <para>
        <uri>
          <xsl:attribute name="xlink:href">
            <xsl:call-template name="hdm.get.leftmost.of.separator">
              <xsl:with-param name="path">
                <xsl:call-template name="relative-uri">
                  <xsl:with-param name="filename" select="parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref"/>
                </xsl:call-template>
              </xsl:with-param> 
              <xsl:with-param name="separator" select="'.'"/>
            </xsl:call-template>                  
            <xsl:text>.animate.pdf</xsl:text>
          </xsl:attribute>
          <xsl:text>(Animated PDF Version)</xsl:text>
        </uri>
      </para>
    </xsl:if>
    
    <xsl:if test="ends-with(parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref, '.svg')">
      <para>
        <uri>
          <xsl:attribute name="xlink:href">
            <xsl:call-template name="relative-uri">
              <xsl:with-param name="filename" select="parent::db:figure/db:mediaobject/db:imageobject/db:imagedata/@fileref"/>
            </xsl:call-template>
          </xsl:attribute>
          <xsl:text>Separate SVG image link</xsl:text>
        </uri>
      </para>
    </xsl:if>
    
  </xsl:template>
  
  <xsl:template match="db:imagedata[ends-with(@fileref, '.fig')]">
    
    <xsl:copy>
      <xsl:attribute name="fileref">
        <xsl:value-of select="@fileref"/>
        <xsl:text>.svg</xsl:text>
      </xsl:attribute>
      <xsl:apply-templates select="@*[not(name(.) = 'fileref')] | node()"/>
    </xsl:copy>
    
  </xsl:template>
  
  <xsl:template match="db:annotation[@role='slide']">
    <db:para>
      <db:link xlink:href="../Slides/{parent::db:*/@xml:id}.html">
        <xsl:text>Slide version of this section</xsl:text>
      </db:link>
    </db:para>
  </xsl:template>
  
</xsl:stylesheet>
